Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.dbc.condition
Class ConstructorCondition

    java.lang.Object
      org.jboss.aspects.dbc.condition.Condition
          org.jboss.aspects.dbc.condition.ExecutableCondition
              org.jboss.aspects.dbc.condition.ConstructorCondition

public class ConstructorCondition
extends ExecutableCondition

Version:
  $Revision: 1.1.8.5 $
Author:
  Kabir Khan

Field Summary

Fields inherited from class org.jboss.aspects.dbc.condition.Condition
`clazz, condExpr, isStatic, originalExpr, parameterLookup, RETURN, TARGET`

Constructor Summary
`ConstructorCondition(Constructor constructor, String condExpr)`

Method Summary
`boolean` | `equals(Object o)`
`protected Object` | `executableObject()`
`protected Object` | `getValueForPredefinedToken(org.jboss.aop.joinpoint.Invocation invocation, Object rtn, String token)`
`protected boolean` | `isPredefinedToken(String token)`
`protected Class[]` | `parameterTypes()`

Methods inherited from class org.jboss.aspects.dbc.condition.ExecutableCondition
`evaluateCondition, getValueForToken, toString`

Methods inherited from class org.jboss.aspects.dbc.condition.Condition
`getTarget, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstructorCondition

    public ConstructorCondition(Constructor constructor,
                                String condExpr)

Method Detail

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Condition`

### executableObject

    protected Object executableObject()

  Specified by:
    `executableObject` in class `ExecutableCondition`

### parameterTypes

    protected Class[] parameterTypes()

  Specified by:
    `parameterTypes` in class `ExecutableCondition`

### isPredefinedToken

    protected boolean isPredefinedToken(String token)

  Specified by:
    `isPredefinedToken` in class `ExecutableCondition`

### getValueForPredefinedToken

    protected Object getValueForPredefinedToken(org.jboss.aop.joinpoint.Invocation invocation,
                                                Object rtn,
                                                String token)

  Specified by:
    `getValueForPredefinedToken` in class `ExecutableCondition`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.